Bug 67832 - Change request: net/cvsup (STATIC -> WANT_STATIC_CVSUP)
Summary: Change request: net/cvsup (STATIC -> WANT_STATIC_CVSUP)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Polstra
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-11 15:20 UTC by Cyrille Lefevre
Modified: 2005-12-17 06:19 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (524 bytes, patch)
2004-06-11 15:20 UTC, Cyrille Lefevre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Lefevre 2004-06-11 15:20:27 UTC
	Makefile
		rename STATIC to WANT_STATIC_CVSUP to match shells/bash2
		heuristic

	Maintainer CC'ed

How-To-Repeat: 	n/a
Comment 1 Kirill Ponomarev freebsd_committer 2004-06-11 15:55:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jdp

Over to maintainer. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=67832 

From personal email from maintainer, admitting that he does not have
much time for ports these days (so mark Suspended):

My main concern with 67832 is compatibility.  It would surprise any
users who are currently using STATIC to build CVSup statically.  Aside
from that, I wouldn't mind changing it.

[linimon comment: it sounds like both forms of the variable should be
accepted in that case.]
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-10-10 06:02:07 UTC
State Changed
From-To: open->suspended

Mark suspended after including feedback from maintainer from personal email.
Comment 3 Sam Lawrance freebsd_committer 2005-12-17 06:17:39 UTC
State Changed
From-To: suspended->closed

WANT_ knobs are reserved for internal port use.  I added 
the knob WITH_STATIC which does the same thing as STATIC. 

STATIC still works just as before, but also prints a warning 
that you should now use WITH_STATIC).